bezbedanRep1 lista = if lista == [] then [] else tail lista

bezbedanRep2 lista
  | lista == [] = []
  | otherwise = tail lista

bezbedanRep3 [] = []
bezbedanRep3 (x:xs) = xs
-- bezbedanRep3 lista = tail lista

savrseni n = [x | x<-[1..n], sum(faktori x) == x]
faktori x = [i | i<-[1..x-1], x `mod` i ==0]

-- Prvi nacin
zbirPar1 n = [(a,b)| a<-[1..n], b<-[1..n], a+b==n]
-- Drugi nacin, efikasniji
zbirPar2 n = [(a,b)| a<-[1..n], b<-[n-a], b/=0]

polovina [] = ([],[])
polovina lista = (take n lista, drop n lista)
              where n = length lista `div` 2

poslednji lista = lista !! poz
                where poz = length lista - 1

spoji [] = [] -- nije neophodno
spoji lista = [x | podlista <- lista, x <- podlista]

-- Lista je sama svoj sufiks, a ostali sufiksi su sufiksi njenog repa
sufiksi [] = [[]]
sufiksi (x:xs) = (x:xs) : sufiksi xs

obrni [] = []
obrni (x:xs) = obrni xs ++ [x]

izbaci _ [] = []
izbaci 0 (x:xs) = xs
izbaci k (x:xs) = x : (izbaci (k-1) xs)

duplira [] = []
duplira (x:xs) = [x,x] ++ duplira xs

ubaci 0 n lista = n : lista
ubaci k n [] = [n]
ubaci k n (x:xs) = x : (ubaci (k-1) n xs)

izbaciSvaki n [] = []
izbaciSvaki n lista = take (n-1) lista ++ izbaciSvaki n (drop n lista)
